function [xmin] = fminsqp(fun, x0, constrfun)
  %FMINSQP implements the SQP-Algorithm for finding the minimum of fun
  %   
  %   Input Arguments:
  %   fun...function handle of cost function
  %   x0...initial point
  %   constrfun...function handle of constraint function
  %
  %   Output Arguments:
  %   xmin... position of the found minimum

  % example calls of the cost function and the constraint function.
  [f,df,ddf] = fun(x0);
  [h,g,dh,dg,ddh,ddg] = constrfun(x0);

  % initialize variables here
  xmin=[];
  
  while 1 % start of iteratve algorithm

      % insert the SQP algorithm here
      
      if 1 % insert break criterion here
          break
      end
  end

end
