function [g, dg] = calcg(x)
%GDINV obtains the dependent elements of x given the independent elements
%
%   Inputs Arguments:
%   x ... vector consisting of independent and depent variables
%
%   Output Arguments:
%   g...values of the equality constraints g(x) evaluated at x
%   dg...value of the gradient of the equality constraints g(x) evaluated at x
%

% define the dimensions
n = numel(x);
p = n-2;

% calculate g ad dg here

end

