function [h, g, dh, dg, ddh, ddg] = calchg(x)
%CALCHG calculates the right side of the inequality and equality
% constraints in the form
%   h(x) <= 0
%   g(x) = 0
%   
%   Input arguments:
%   x...point at which the function should be evaluated
%
%   Output arguments:
%   h...inequality constraints evaluated at x
%   g...equality constraints evaluated at x
%   dh...gradient of inequality constraints evaluated at x
%   dh...gradient of equality constraints evaluated at x
%   ddh...nessian of inequality constraints evaluated at x
%   ddg...hessian of equality constraints evaluated at x

% insert your code here
  h=[];
  g=[];
  dh=[];
  dg=[];
  ddh=[];
  ddg=[];

end

